Subject: Re: [PATCH] IPv6 MIB:ipv6RouterAdvert netlink notification

From: "David S. Miller" <[email-masked]>
Date: Fri, 16 Jan 2004 12:08:35 -0800

On Fri, 16 Jan 2004 11:41:59 -0800
Shirley Ma <[email-masked]> wrote:

> Does netlink support user-user communication?

Yes, it does.

One thing I want people to keep in mind in these discussions, while I understand
the concerns being addressed and discussed, I think it would be somewhat rediculious
for one to be required to go to multiple places just to put a complete ipv6 mib together.

For example, a bunch of procfs files, some netlink stuff, and some status files emitted
by some userlevel daemon.  This is the situation I'd like to see avoided.

It looks like we can push all of this stuff over netlink, which would be ideal.